require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersJalapeno", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpCajun", true);

SManager:AddMeal(MealType.STEAK, "steakBeefTenderloin", false);
SManager:AddMeal(MealType.PASTA, "fettucine", false);
SManager:AddMeal(MealType.CHICKEN, "chickenJambalaya", true);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMTokyo", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMAruba", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMVenice", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");